autoindex on;
autoindex_exact_size on;
autoindex_localtime on;

server_names_hash_max_size 512;

#upstream github-com {
#	server 140.82.112.3:443;
#	server 140.82.112.4:443;
#	server 140.82.113.3:443;
#	server 140.82.113.4:443;
#}

#upstream githubusercontent-com {
#	server 185.199.108.133:443;
#	server 185.199.109.133:443;
#	server 185.199.110.133:443;
#	server 185.199.111.133:443;
#}

#upstream cloudflare {
#	server 1.0.0.1:443;
#}

#map $host $default_http_host {
#	hostnames; # 不写这个会让你什么都匹配不出来
#	default                     cloudflare; # almost always 403
#	.github.com                 github-com;
#	.githubusercontent.com      githubusercontent-com;
#}

server {
	listen 80;
#	server_name 47.92.143.185;
	server_name www.photonbarrier.com;

	access_log /home/develop/nginx/logs/www_photonshalo_net/access.log;
	error_log /home/develop/nginx/logs/www_photonshalo_net/error.log;

#	listen 80 default_server;
#	allow 127.0.0.0/8;
#	deny all;

#	location / {
#		proxy_pass https://$default_http_host;
#		proxy_set_header Host $http_host;
#		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
#		proxy_set_header X-Real_IP $remote_addr;
#		proxy_set_header User-Agent $http_user_agent;
#		proxy_set_header Accept-Encoding '';
#		proxy_buffering off;
#	}

	location / {
		proxy_pass https://github.com;
#		proxy_pass http://localhost:3000;
	}

	location /ftp {
		root /home/develop;
	}
}
